Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.cache.annotation
Annotation Type CachePut

    @Target(value={METHOD,TYPE})
    @Retention(value=RUNTIME)
    @Inherited
    @Documented
    public @interface CachePut

Annotation indicating that a method (or all methods on a class) trigger(s) a `Cache.put(Object, Object)` operation. As opposed to `Cacheable` annotation, this annotation does not cause the target method to be skipped - rather it always causes the method to be invoked and its result to be placed into the cache.

Since:
  3.1
Author:
  Costin Leau

Required Element Summary
`String[]` | `value` Name of the caches in which the update takes place.

Optional Element Summary
`String` | `condition` Spring Expression Language (SpEL) attribute used for conditioning the cache update.
`String` | `key` Spring Expression Language (SpEL) attribute for computing the key dynamically.

Element Detail

### value

    public abstract String[] value

  Name of the caches in which the update takes place.

  May be used to determine the target cache (or caches), matching the qualifier value (or the bean name(s)) of (a) specific bean definition.

### key

    public abstract String key

  Spring Expression Language (SpEL) attribute for computing the key dynamically.

  Default is "", meaning all method parameters are considered as a key.

  Default:
    ""

### condition

    public abstract String condition

  Spring Expression Language (SpEL) attribute used for conditioning the cache update.

  Default is "", meaning the method result is always cached.

  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT